# lepton-update

NAME
SYNOPSIS
OPTIONS
DESCRIPTION
AUTHORS
COPYRIGHT
SEE ALSO

## NAME

lepton-update - update Lepton EDA symbols and schematics

## SYNOPSIS

lepton-update [OPTION ...] FILE ...

## OPTIONS

-h, --help

Print a help message.

-V, --version

Print version information.

## DESCRIPTION

lepton-update is a tool for updating old schematic and symbols.

The program takes a schematic or symbol filenames on the command line and updates them after making backups. It is intended for running against schematics which are either version 20030921 or earlier.

For both symbols and schematics, the program fixes obsolete text and pin format lines and sets the current format version.

For schematics, it replaces the label= attribute on nets with netname=, and uref= with refdes=.

For symbols, it changes them as follows:

| • |  | Converts all pin#=# attributes into pinseq= and pinnumber= attributes.
| • |  | Converts all slot#=# attributes into slotdef= attributes.
| • |  | Replaces pin attributes type= with pintype=.
| • |  | Replaces pin attributes label= with pinlabel=.
| • |  | Replaces symbol attribute uref= with refdes=.

## AUTHORS

Vladimir Zhbanov

## COPYRIGHT

Copyright © 2021-2022 Lepton Developers.
License GPLv2+: GNU GPL version 2 or later. Please see the ’COPYING’
file included with this program for full details.

This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

## SEE ALSO

lepton-schematic(1), lepton-symcheck(1)